Skip to main content
PUT
/
api
/
v1
/
projects
/
{id}
Update project
curl --request PUT \
  --url https://api.raffcomputing.com/api/v1/projects/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "default_region": "us-east"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "production",
    "slug": "production",
    "description": "<string>",
    "default_region": "us-east",
    "is_default": true,
    "is_active": true,
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

id
string<uuid>
required

Project ID (UUID)

Body

application/json
name
string

Project name

Required string length: 1 - 64
description
string

Project description

default_region
enum<string>

Default region for resources

Available options:
us-east
Example:

"us-east"

Response

Project updated successfully

success
boolean
data
object